Sign inGet started

Members

GET
/organizations/{organizationId}/teams/{teamId}/members
List the members of the team.
Parámetros de consulta
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
pageToken
string
The cursor that keeps track of the current position in the results.
status
string
Possible values: active, invited, requested-to-join
Cuerpo de la respuesta
results
array of object
Mostrar atributos secundarios
results.id
string
obligatorio
results.type
string
obligatorio
Possible values: user
results.status
string
obligatorio
Possible values: active, invited, requested-to-join
results.createdAt
string
obligatorio
results.updatedAt
string
obligatorio
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Ejemplo de código
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/teams/{teamId}/members
Add a member to the team.
Cuerpo de la solicitud
type
string
obligatorio
Possible values: user
id
string
obligatorio
Cuerpo de la respuesta
results
array of object
Mostrar atributos secundarios
results.id
string
obligatorio
results.type
string
obligatorio
Possible values: user
results.status
string
obligatorio
Possible values: active, invited, requested-to-join
results.createdAt
string
obligatorio
results.updatedAt
string
obligatorio
Ejemplo de código
curl -X POST 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}
Retrieve a single team member.
Cuerpo de la respuesta
id
string
obligatorio
type
string
obligatorio
Possible values: user
status
string
obligatorio
Possible values: active, invited, requested-to-join
createdAt
string
obligatorio
updatedAt
string
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}
Remove a member from a team.
Ejemplo de código
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/teams/{teamId}/members/{teamMemberId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'